Testfailuretype - Create

Creates a new test failure type

POST https://vstmr.dev.azure.com/{organization}/{project}/_apis/testresults/testfailuretype?api-version=7.1-preview.1

URI Parameters

Name In Required Type Description
organization
path True

string

The name of the Azure DevOps organization.

project
path True

string

Project ID or project name

api-version
query True

string

Version of the API to use. This should be set to '7.1-preview.1' to use this version of the api.

Request Body

Name Type Description
name

string

Name of the test failure type

Responses

Name Type Description
200 OK

TestResultFailureType

successful operation

Security

oauth2

Type: oauth2
Flow: accessCode
Authorization URL: https://app.vssps.visualstudio.com/oauth2/authorize&response_type=Assertion
Token URL: https://app.vssps.visualstudio.com/oauth2/token?client_assertion_type=urn:ietf:params:oauth:client-assertion-type:jwt-bearer&grant_type=urn:ietf:params:oauth:grant-type:jwt-bearer

Scopes

Name Description
vso.test_write Grants the ability to read, create, and update test plans, cases, results and other test management related artifacts.

Definitions

Name Description
TestResultFailureType

The test failure type resource

TestResultFailureTypeRequestModel

The test failure type request model

TestResultFailureType

The test failure type resource

Name Type Description
id

integer (int32)

ID of the test failure type

name

string

Name of the test failure type

TestResultFailureTypeRequestModel

The test failure type request model

Name Type Description
name

string

Name of the test failure type